const systemMenuObj = [
  // 系统管理
  // {
  //   component: "Layout",
  //   icon: "",
  //   id: "homePage",
  //   menuType: "MENU",
  //   name: "HomePage",
  //   parentId: "0",
  //   redirect: "/homePage/dashboard",
  //   remark: "首页",
  //   router: "/homePage",
  //   hidden: 0
  // },
  // {
  //   component: "/dashboard/index",
  //   icon: "dashboard",
  //   id: "dashboard",
  //   menuType: "MENU",
  //   name: "Dashboard",
  //   parentId: "homePage",
  //   redirect: "",
  //   remark: "首页",
  //   router: "dashboard",
  //   hidden: 0
  // },
  // 系统管理
  {
    component: "Layout",
    icon: "",
    id: "system",
    menuType: "MENU",
    name: "system",
    parentId: "0",
    redirect: "/system/users",
    remark: "系统管理",
    router: "/system",
    hidden: 0,
  },
  {
    component: "/page/system/users/index",
    icon: "el-icon-setting",
    id: "user",
    menuType: "MENU",
    name: "users",
    parentId: "system",
    redirect: "",
    remark: "用户管理",
    router: "users",
    hidden: 0,
  },
  {
    component: "/page/system/role/index",
    icon: "el-icon-setting",
    id: "role",
    menuType: "MENU",
    name: "role",
    parentId: "system",
    redirect: "",
    remark: "角色管理",
    router: "role",
    hidden: 0,
  },
  {
    component: "/page/system/function/index",
    icon: "el-icon-setting",
    id: "function",
    menuType: "MENU",
    name: "function",
    parentId: "system",
    redirect: "",
    remark: "菜单管理",
    router: "function",
    hidden: 0,
  },
  {
    component: "ParentView",
    icon: "el-icon-setting",
    id: "log",
    menuType: "MENU",
    name: "log",
    parentId: "system",
    redirect: "/system/log/log3",
    remark: "操作日志",
    router: "log",
    hidden: 0,
  },
  {
    component: "/page/system/log/index",
    icon: "",
    id: "log3",
    menuType: "MENU",
    name: "log3",
    parentId: "log",
    redirect: "",
    remark: "操作日志3",
    router: "log3",
    hidden: 0,
  },

  {
    component: "/page/system/notice/index",
    icon: "el-icon-setting",
    id: "notice",
    menuType: "MENU",
    name: "notice",
    parentId: "system",
    redirect: "",
    remark: "集团发布公告",
    router: "notice",
    hidden: 0,
  },
  // 数据服务
  {
    component: "Layout",
    icon: "",
    id: "server",
    menuType: "MENU",
    name: "server",
    parentId: "0",
    redirect: "/server/dic",
    remark: "数据服务",
    router: "/server",
    hidden: 0,
  },
  {
    component: "/page/dataService/dic/index",
    icon: "el-icon-coin",
    id: "dic",
    menuType: "MENU",
    name: "dic",
    parentId: "server",
    redirect: "",
    remark: "字典管理",
    router: "dic",
    hidden: 0,
  },
  {
    component: "/page/dataService/code/index",
    icon: "el-icon-coin",
    id: "code",
    menuType: "MENU",
    name: "code",
    parentId: "server",
    redirect: "",
    remark: "编码规则管理",
    router: "code",
    hidden: 0,
  },

  // 我的任务
  {
    component: "Layout",
    icon: "",
    id: "mission",
    menuType: "MENU",
    name: "mission",
    parentId: "0",
    redirect: "/mission",
    remark: "我的任务",
    router: "/mission",
    hidden: 0,
  },
  {
    component: "/page/mission/index",
    icon: "el-icon-tickets",
    id: "missionmy",
    menuType: "MENU",
    name: "missionmy",
    parentId: "mission",
    redirect: "",
    remark: "我的任务",
    router: "missionmy",
    hidden: 0,
  },
  //供应商审核
  {
    component: "Layout",
    icon: "el-icon-edit-outline",
    id: "supDudit",
    menuType: "MENU",
    name: "supDudit",
    parentId: "0",
    redirect: "/supDudit",
    remark: "对账审核",
    router: "/supDudit",
    hidden: 0,
  },
  {
    component: "/page/suppleDudit/index",
    icon: "",
    id: "suppleDuditCent",
    menuType: "MENU",
    name: "suppleDuditCent",
    parentId: "supDudit",
    redirect: "",
    remark: "对账审核",
    router: "suppleDudit",
    hidden: 0,
  },
  // 医院汇总
  {
    component: "/page/summary/index",
    icon: "",
    id: "summary",
    menuType: "MENU",
    name: "summary",
    parentId: "supDudit",
    redirect: "",
    remark: "医院汇总",
    router: "summary",
    hidden: 1,
  },
  // 药品单据明细
  {
    component: "/page/durgdetails/index",
    icon: "",
    id: "durgdetails",
    menuType: "MENU",
    name: "durgdetails",
    parentId: "supDudit",
    redirect: "",
    remark: "药品单据明细",
    router: "durgdetails",
    hidden: 1,
  },
  //耗材单据明细
  {
    component: "/page/sumdetails/index",
    icon: "",
    id: "sumdetails",
    menuType: "MENU",
    name: "sumdetails",
    parentId: "supDudit",
    redirect: "",
    remark: "耗材单据明细",
    router: "sumdetails",
    hidden: 1,
  },
  //供应商结算查看情况
  {
    component: "Layout",
    icon: "el-icon-edit-outline",
    id: "settimview",
    menuType: "MENU",
    name: "settimview",
    parentId: "0",
    redirect: "/settimview",
    remark: "药品配送商结算情况",
    router: "/settimview",
    hidden: 0,
  },
  {
    component: "/page/settimview/index",
    icon: "",
    id: "settimviewCent",
    menuType: "MENU",
    name: "settimviewCent",
    parentId: "settimview",
    redirect: "",
    remark: "药品配送商结算情况",
    router: "settimviewCent",
    hidden: 0,
  },
  //耗材配送商
  {
    component: "Layout",
    icon: "el-icon-edit-outline",
    id: "mcsettimview",
    menuType: "MENU",
    name: "mcsettimview",
    parentId: "0",
    redirect: "/mcsettimview",
    remark: "耗材配送商结算情况",
    router: "/mcsettimview",
    hidden: 0,
  },
  {
    component: "/page/mcsettimview/index",
    icon: "",
    id: "mcsettimviewCent",
    menuType: "MENU",
    name: "mcsettimviewCent",
    parentId: "mcsettimview",
    redirect: "",
    remark: "耗材配送商结算情况",
    router: "mcsettimviewCent",
    hidden: 0,
  },
  // 统计表
  {
    component: "Layout",
    icon: "el-icon-date",
    id: "statisticsview",
    menuType: "MENU",
    name: "statisticsview",
    parentId: "0",
    redirect: "/statisticsview",
    remark: "市、县(区)各中心药品耗材结算对比情况",
    router: "/statisticsview",
    hidden: 0,
  },
  {
    component: "/page/statistics/index",
    icon: "el-icon-date",
    id: "statisticsviewCent",
    menuType: "MENU",
    name: "statisticsviewCent",
    parentId: "statisticsview",
    redirect: "",
    remark: "市、县(区)各中心药品耗材结算对比情况",
    router: "statisticsviewCent",
    hidden: 0,
  },
  //药品医疗机构结算查看情况
  {
    component: "Layout",
    icon: "el-icon-edit-outline",
    id: "drugorganview",
    menuType: "MENU",
    name: "drugorganview",
    parentId: "0",
    redirect: "/drugorganview",
    remark: "药品医疗机构结算情况",
    router: "/drugorganview",
    hidden: 0,
  },
  {
    component: "/page/drugorganview/index",
    icon: "",
    id: "drugorganviewCent",
    menuType: "MENU",
    name: "drugorganviewCent",
    parentId: "drugorganview",
    redirect: "",
    remark: "药品医疗机构结算情况",
    router: "drugorganviewCent",
    hidden: 0,
  },
  //目录查询
  {
    component: "Layout",
    icon: "el-icon-search",
    id: "catalog-query",
    menuType: "MENU",
    name: "catalog-query",
    parentId: "0",
    redirect: "/catalog-query",
    remark: "直接结算药品目录查询",
    router: "/catalog-query",
    hidden: 0,
  },
  {
    component: "/page/catalog-query/index",
    icon: "el-icon-search",
    id: "catalog-query-cont",
    menuType: "MENU",
    name: "signListCent",
    parentId: "catalog-query",
    redirect: "",
    remark: "直接结算药品目录查询",
    router: "catalog-query-cont",
    hidden: 0,
  },
    //银行信息管理
    {
      component: "Layout",
      icon: "el-icon-search",
      id: "bank-manage",
      menuType: "MENU",
      name: "bank-manage",
      parentId: "0",
      redirect: "/bank-manage",
      remark: "银行信息管理",
      router: "/bank-manage",
      hidden: 0,
    },
    {
      component: "/page/bank-manage/index",
      icon: "el-icon-search",
      id: "bank-manage-cont",
      menuType: "MENU",
      name: "bank-manage",
      parentId: "bank-manage",
      redirect: "",
      remark: "银行信息管理",
      router: "bank-manage-cont",
      hidden: 0,
    },
  //协议签订
  {
    component: "Layout",
    icon: "el-icon-thumb",
    id: "agreesigning",
    menuType: "MENU",
    name: "agreesigning",
    parentId: "0",
    redirect: "/agreesigning",
    remark: "协议签订",
    router: "/agreesigning",
    hidden: 0,
  },
  {
    component: "/page/signList/index",
    icon: "el-icon-thumb",
    id: "signListCent",
    menuType: "MENU",
    name: "signListCent",
    parentId: "agreesigning",
    redirect: "",
    remark: "协议签订",
    router: "signListCent",
    hidden: 0,
  },
  //耗材医疗机构结算查看情况
  {
    component: "Layout",
    icon: "el-icon-edit-outline",
    id: "mcsorganview",
    menuType: "MENU",
    name: "mcsorganview",
    parentId: "0",
    redirect: "/mcsorganview",
    remark: "耗材医疗机构结算情况",
    router: "/mcsorganview",
    hidden: 0,
  },
  {
    component: "/page/mcsorganview/index",
    icon: "",
    id: "mcsorganviewCent",
    menuType: "MENU",
    name: "mcsorganviewCent",
    parentId: "mcsorganview",
    redirect: "",
    remark: "耗材医疗机构结算情况",
    router: "mcsorganviewCent",
    hidden: 0,
  },
];
export default systemMenuObj;
